> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# タスクを削除

> 条件を指定してファイルを削除します。いずれかの条件に一致するファイルが削除されます。



## OpenAPI

````yaml /docflow-global/ja/rest-api/openapi.bundle.yaml post /api/app-api/sip/platform/v2/file/delete
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API。ファイルアップロードとファイル処理結果の取得機能を提供します。
  version: 2.8.4
  contact:
    name: TextIn
    url: https://www.textin.ai/contact?type=27&sub_type=1
servers:
  - url: https://docflow.textin.ai
security:
  - ApiId: []
    SecretCode: []
tags:
  - name: ワークスペース管理
    description: ワークスペース関連 API
  - name: ファイルカテゴリ
    description: ファイルカテゴリ関連 API
  - name: ファイルカテゴリサンプル
    description: ファイルカテゴリサンプル関連 API
  - name: スマートレビュー
    description: スマートレビュー関連 API
  - name: 廃止済み
    description: 廃止済み API
paths:
  /api/app-api/sip/platform/v2/file/delete:
    post:
      summary: タスクを削除
      description: 条件を指定してファイルを削除します。いずれかの条件に一致するファイルが削除されます。
      operationId: deleteFile
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workspace_id:
                  type: string
                  description: ワークスペース ID
                  example: 1234567890
                batch_number:
                  type: array
                  items:
                    type: string
                  description: バッチ番号リスト
                  example:
                    - '202412190001'
                    - '202412190002'
                task_id:
                  type: array
                  items:
                    type: string
                  description: タスク ID リスト
                  example:
                    - '1978297791713619968'
                    - '1978297791713619969'
                file_id:
                  type: array
                  items:
                    type: string
                  description: ファイル ID リスト
                  example:
                    - '1978297792124661760'
                    - '1978297792124661761'
                start_time:
                  type: integer
                  description: '開始時刻（エポックタイムスタンプ、単位: 秒）'
                  example: 1760523600
                end_time:
                  type: integer
                  description: '終了時刻（エポックタイムスタンプ、単位: 秒）'
                  example: 1760523600
              required:
                - workspace_id
      responses:
        '200':
          description: タスクの削除に成功
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
                  - type: object
                    properties:
                      result:
                        type: object
                        properties:
                          deleted_count:
                            type: integer
                            description: 削除されたファイル数
                            example: 1
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: ステータスコード
          example: 200
        msg:
          type: string
          description: ステータス説明
      required:
        - code
        - msg
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````